Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 3875)
@@ -99,4 +99,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio, ibat   ! local integer
+      INTEGER ::   ios
       !
       NAMELIST/namzgr/ ln_zco, ln_zps, ln_sco
@@ -105,6 +106,12 @@
       IF( nn_timing == 1 )   CALL timing_start('dom_zgr')
       !
-      REWIND( numnam )                 ! Read Namelist namzgr : vertical coordinate'
-      READ  ( numnam, namzgr )
+      REWIND( numnam_ref )              ! Namelist namzgr in reference namelist : Vertical coordinate
+      READ  ( numnam_ref, namzgr, IOSTAT = ios, ERR = 901 )
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzgr in configuration namelist : Vertical coordinate
+      READ  ( numnam_cfg, namzgr, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in configuration namelist', lwp )
+      WRITE ( numond, namzgr )
 
       IF(lwp) THEN                     ! Control print
@@ -1100,4 +1107,5 @@
       INTEGER  ::   ji, jj, jk, jl           ! dummy loop argument
       INTEGER  ::   iip1, ijp1, iim1, ijm1   ! temporary integers
+      INTEGER  ::   ios                      ! Local integer output status for namelist read
       REAL(wp) ::   zrmax, ztaper   ! temporary scalars
       !
@@ -1112,10 +1120,16 @@
       CALL wrk_alloc( jpi, jpj,      zenv, ztmp, zmsk, zri, zrj, zhbat                           )
       !
-      REWIND( numnam )                       ! Read Namelist namzgr_sco : sigma-stretching parameters
-      READ  ( numnam, namzgr_sco )
+      REWIND( numnam_ref )              ! Namelist namzgr_sco in reference namelist : Sigma-stretching parameters
+      READ  ( numnam_ref, namzgr_sco, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr_sco in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzgr_sco in configuration namelist : Sigma-stretching parameters
+      READ  ( numnam_cfg, namzgr_sco, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr_sco in configuration namelist', lwp )
+      WRITE ( numond, namzgr_sco )
 
       IF(lwp) THEN                           ! control print
          WRITE(numout,*)
-         WRITE(numout,*) 'dom:zgr_sco : s-coordinate or hybrid z-s-coordinate'
+         WRITE(numout,*) 'domzgr_sco : s-coordinate or hybrid z-s-coordinate'
          WRITE(numout,*) '~~~~~~~~~~~'
          WRITE(numout,*) '   Namelist namzgr_sco'
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90	(revision 3875)
@@ -62,4 +62,5 @@
       !!
       NAMELIST/namtsd/   ln_tsd_init, ln_tsd_tradmp, cn_dir, sn_tem, sn_sal
+      INTEGER  ::   ios
       !!----------------------------------------------------------------------
       !
@@ -76,7 +77,13 @@
       sn_tem = FLD_N( 'temperature',  -1.  , 'votemper',  .false.   , .true.  ,  'monthly'  , ''       , ''       )
       sn_sal = FLD_N( 'salinity'   ,  -1.  , 'vosaline',  .false.   , .true.  ,  'monthly'  , ''       , ''       )
-
-      REWIND( numnam )              ! read in namlist namdta_tsd 
-      READ  ( numnam, namtsd ) 
+ 
+      REWIND( numnam_ref )              ! Namelist namtsd in reference namelist : 
+      READ  ( numnam_ref, namtsd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtsd in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namtsd in configuration namelist : Parameters of the run
+      READ  ( numnam_cfg, namtsd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtsd in configuration namelist', lwp )
+      WRITE ( numond, namtsd )
 
       IF( PRESENT( ld_tradmp ) )   ln_tsd_tradmp = .TRUE.     ! forces the initialization when tradmp is used
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 3875)
@@ -89,10 +89,17 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
       NAMELIST/namdyn_adv/ ln_dynadv_vec, ln_dynadv_cen2 , ln_dynadv_ubs
       !!----------------------------------------------------------------------
 
-      REWIND ( numnam )               ! Read Namelist namdyn_adv : momentum advection scheme
-      READ   ( numnam, namdyn_adv )
+      REWIND( numnam_ref )              ! Namelist namdyn_adv in reference namelist : Momentum advection scheme
+      READ  ( numnam_ref, namdyn_adv, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_adv in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namdyn_adv in configuration namelist : Momentum advection scheme
+      READ  ( numnam_cfg, namdyn_adv, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_adv in configuration namelist', lwp )
+      WRITE ( numond, namdyn_adv )
 
       IF(lwp) THEN                    ! Namelist print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 3875)
@@ -122,4 +122,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio = 0      ! temporary integer
+      INTEGER ::   ios             ! Local integer output status for namelist read
       !!
       NAMELIST/namdyn_hpg/ ln_hpg_zco, ln_hpg_zps, ln_hpg_sco,     &
@@ -127,6 +128,12 @@
       !!----------------------------------------------------------------------
       !
-      REWIND( numnam )               ! Read Namelist namdyn_hpg
-      READ  ( numnam, namdyn_hpg )
+      REWIND( numnam_ref )              ! Namelist namdyn_hpg in reference namelist : Hydrostatic pressure gradient
+      READ  ( numnam_ref, namdyn_hpg, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_hpg in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namdyn_hpg in configuration namelist : Hydrostatic pressure gradient
+      READ  ( numnam_cfg, namdyn_hpg, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_hpg in configuration namelist', lwp )
+      WRITE ( numond, namdyn_hpg )
       !
       IF(lwp) THEN                   ! Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 3875)
@@ -114,10 +114,17 @@
       NAMELIST/namdyn_nept/ ln_neptsimp, ln_smooth_neptvel, rn_tslse, rn_tslsp,      &
                             ln_neptramp, rn_htrmin, rn_htrmax
+      INTEGER  ::   ios
       !!----------------------------------------------------------------------
       ! Define the (simplified) Neptune parameters
       ! ==========================================
 
-      REWIND( numnam )                  ! Read Namelist namdyn_nept:  Simplified Neptune
-      READ  ( numnam, namdyn_nept )
+      REWIND( numnam_ref )              ! Namelist namdyn_nept in reference namelist : Simplified Neptune
+      READ  ( numnam_ref, namdyn_nept, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_nept in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namdyn_nept in reference namelist : Simplified Neptune
+      READ  ( numnam_cfg, namdyn_nept, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_nept in configuration namelist', lwp )
+      WRITE ( numond, namdyn_nept )
 
       IF(lwp) THEN                      ! Control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 3875)
@@ -710,10 +710,17 @@
       INTEGER ::   ioptio          ! local integer
       INTEGER ::   ji, jj, jk      ! dummy loop indices
+      INTEGER ::   ios             ! Local integer output status for namelist read
       !!
       NAMELIST/namdyn_vor/ ln_dynvor_ens, ln_dynvor_ene, ln_dynvor_mix, ln_dynvor_een
       !!----------------------------------------------------------------------
 
-      REWIND ( numnam )               ! Read Namelist namdyn_vor : Vorticity scheme options
-      READ   ( numnam, namdyn_vor )
+      REWIND( numnam_ref )              ! Namelist namdyn_vor in reference namelist : Vorticity scheme options
+      READ  ( numnam_ref, namdyn_vor, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_vor in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namdyn_vor in configuration namelist : Vorticity scheme options
+      READ  ( numnam_cfg, namdyn_vor, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_vor in configuration namelist', lwp )
+      WRITE ( numond, namdyn_vor )
 
       IF(lwp) THEN                    ! Namelist print
@@ -721,5 +728,5 @@
          WRITE(numout,*) 'dyn_vor_init : vorticity term : read namelist and control the consistency'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '        Namelist namdyn_vor : oice of the vorticity term scheme'
+         WRITE(numout,*) '        Namelist namdyn_vor : choice of the vorticity term scheme'
          WRITE(numout,*) '           energy    conserving scheme                ln_dynvor_ene = ', ln_dynvor_ene
          WRITE(numout,*) '           enstrophy conserving scheme                ln_dynvor_ens = ', ln_dynvor_ens
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 3875)
@@ -78,4 +78,5 @@
       !!----------------------------------------------------------------------
       INTEGER :: jfl
+      INTEGER :: ios                 ! Local integer output status for namelist read
       !
       NAMELIST/namflo/ jpnfl, jpnnewflo, ln_rstflo, nn_writefl, nn_stockfl, ln_argo, ln_flork4, ln_ariane, ln_flo_ascii
@@ -88,6 +89,12 @@
       IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-      REWIND( numnam )              ! Namelist namflo : floats
-      READ  ( numnam, namflo )
+      REWIND( numnam_ref )              ! Namelist namflo in reference namelist : Floats
+      READ  ( numnam_ref, namflo, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namflo in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namflo in configuration namelist : Floats
+      READ  ( numnam_cfg, namflo, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namflo in configuration namelist', lwp )
+      WRITE ( numond, namflo )
       !
       IF(lwp) THEN                  ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3875)
@@ -344,4 +344,5 @@
       !!----------------------------------------------------------------------
       INTEGER  ::   jn      ! dummy loop indices
+      INTEGER  ::   ios     ! Local integer output status for namelist read
       REAL(wp) ::   zfact   ! local scalar
       !
@@ -359,11 +360,17 @@
       sn_icb = FLD_N( 'calving' ,    -1     , 'calving'  ,  .TRUE.    , .TRUE. ,   'yearly'  , ''       , ''         )
 
-      REWIND( numnam )              ! Namelist namrun : iceberg parameters
-      READ  ( numnam, namberg )
+      REWIND( numnam_ref )              ! Namelist namberg in reference namelist : Iceberg parameters
+      READ  ( numnam_ref, namberg, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namberg in configuration namelist : Iceberg parameters
+      READ  ( numnam_cfg, namberg, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist', lwp )
+      WRITE ( numond, namberg )
       
       IF( .NOT. ln_icebergs ) THEN   ! no icebergs
          IF(lwp) THEN
             WRITE(numout,*)
-            WRITE(numout,*) 'icb_nam :   ln_icebergs = F , NO icebergs used'
+            WRITE(numout,*) 'icbini :   Namelist namberg ln_icebergs = F , NO icebergs used'
             WRITE(numout,*) '~~~~~~~~ '
          ENDIF
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/in_out_manager.F90	(revision 3875)
@@ -107,17 +107,21 @@
    !!                        logical units
    !!----------------------------------------------------------------------
-   INTEGER ::   numstp      =   -1      !: logical unit for time step
-   INTEGER ::   numtime     =   -1      !: logical unit for timing
-   INTEGER ::   numout      =    6      !: logical unit for output print
-   INTEGER ::   numnam      =   -1      !: logical unit for namelist
-   INTEGER ::   numnam_ice  =   -1      !: logical unit for ice namelist
-   INTEGER ::   numevo_ice  =   -1      !: logical unit for ice variables (temp. evolution)
-   INTEGER ::   numsol      =   -1      !: logical unit for solver statistics
-   INTEGER ::   numdct_in   =   -1      !: logical unit for transports computing
-   INTEGER ::   numdct_vol  =   -1      !: logical unit for voulume transports output
-   INTEGER ::   numdct_heat =   -1      !: logical unit for heat    transports output
-   INTEGER ::   numdct_salt =   -1      !: logical unit for salt    transports output
-   INTEGER ::   numfl      =   -1      !: logical unit for floats ascii output
-   INTEGER ::   numflo     =   -1      !: logical unit for floats ascii output
+   INTEGER ::   numstp          =   -1      !: logical unit for time step
+   INTEGER ::   numtime         =   -1      !: logical unit for timing
+   INTEGER ::   numout          =    6      !: logical unit for output print
+   INTEGER ::   numnam_ref      =   -1      !: logical unit for reference namelist
+   INTEGER ::   numnam_cfg      =   -1      !: logical unit for configuration specific namelist
+   INTEGER ::   numond          =    7      !: logical unit for Output Namelist Dynamics
+   INTEGER ::   numnam_ice_ref  =   -1      !: logical unit for ice reference namelist
+   INTEGER ::   numnam_ice_cfg  =   -1      !: logical unit for ice reference namelist
+   INTEGER ::   numoni          =    8      !: logical unit for Output Namelist Ice
+   INTEGER ::   numevo_ice      =   -1      !: logical unit for ice variables (temp. evolution)
+   INTEGER ::   numsol          =   -1      !: logical unit for solver statistics
+   INTEGER ::   numdct_in       =   -1      !: logical unit for transports computing
+   INTEGER ::   numdct_vol      =   -1      !: logical unit for voulume transports output
+   INTEGER ::   numdct_heat     =   -1      !: logical unit for heat    transports output
+   INTEGER ::   numdct_salt     =   -1      !: logical unit for salt    transports output
+   INTEGER ::   numfl           =   -1      !: logical unit for floats ascii output
+   INTEGER ::   numflo          =   -1      !: logical unit for floats ascii output
 
    !!----------------------------------------------------------------------
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 3875)
@@ -156,5 +156,5 @@
          WRITE(numout,*)
          SELECT CASE ( jprstlib )
-         CASE ( jpnf90    )   ;   WRITE(numout,*) 'rst_read : read oce NetCDF restart file'
+         CASE ( jpnf90    )   ;   WRITE(numout,*) 'rst_read : read oce NetCDF restart file ',TRIM(cn_ocerst_in)//'.nc'
          CASE ( jprstdimg )   ;   WRITE(numout,*) 'rst_read : read oce binary restart file'
          END SELECT
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 3875)
@@ -28,5 +28,6 @@
    !!   ctl_warn   : initialization, namelist read, and parameters control
    !!   ctl_opn    : Open file and check if required file is available.
-   !!   get_unit    : give the index of an unused logical unit
+   !!   ctl_nam    : Prints informations when an error occurs while reading a namelist
+   !!   get_unit   : give the index of an unused logical unit
    !!----------------------------------------------------------------------
 #if   defined key_mpp_mpi
@@ -61,6 +62,6 @@
    IMPLICIT NONE
    PRIVATE
-
-   PUBLIC   ctl_stop, ctl_warn, get_unit, ctl_opn
+   
+   PUBLIC   ctl_stop, ctl_warn, get_unit, ctl_opn, ctl_nam
    PUBLIC   mynode, mppstop, mppsync, mpp_comm_free
    PUBLIC   mpp_ini_north, mpp_lbc_north, mpp_lbc_north_e
@@ -225,5 +226,5 @@
 
 
-   FUNCTION mynode( ldtxt, kumnam, kstop, localComm )
+   FUNCTION mynode( ldtxt, kumnam_ref , kumnam_cfg , kumond , kstop, localComm )
       !!----------------------------------------------------------------------
       !!                  ***  routine mynode  ***
@@ -232,9 +233,11 @@
       !!----------------------------------------------------------------------
       CHARACTER(len=*),DIMENSION(:), INTENT(  out) ::   ldtxt
-      INTEGER                      , INTENT(in   ) ::   kumnam       ! namelist logical unit
-      INTEGER                      , INTENT(inout) ::   kstop        ! stop indicator
+      INTEGER                      , INTENT(in   ) ::   kumnam_ref     ! logical unit for reference namelist
+      INTEGER                      , INTENT(in   ) ::   kumnam_cfg     ! logical unit for configuration namelist
+      INTEGER                      , INTENT(in   ) ::   kumond         ! logical unit for namelist output
+      INTEGER                      , INTENT(inout) ::   kstop          ! stop indicator
       INTEGER, OPTIONAL            , INTENT(in   ) ::   localComm
       !
-      INTEGER ::   mynode, ierr, code, ji, ii
+      INTEGER ::   mynode, ierr, code, ji, ii, ios
       LOGICAL ::   mpi_was_called
       !
@@ -248,6 +251,14 @@
       !
       jpni = -1; jpnj = -1; jpnij = -1
-      REWIND( kumnam )               ! Namelist namrun : parameters of the run
-      READ  ( kumnam, nammpp )
+
+      REWIND( kumnam_ref )              ! Namelist nammpp in reference namelist: mpi variables
+      READ  ( kumnam_ref, nammpp, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nammpp in reference namelist', lwp )
+
+      REWIND( kumnam_cfg )              ! Namelist nammpp in configuration namelist: mpi variables
+      READ  ( kumnam_cfg, nammpp, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nammpp in configuration namelist', lwp )
+      WRITE(kumond, nammpp)      
+
       !                              ! control print
       WRITE(ldtxt(ii),*) '   Namelist nammpp'                                                     ;   ii = ii + 1
@@ -3455,8 +3466,8 @@
    END FUNCTION lib_mpp_alloc
 
-   FUNCTION mynode( ldtxt, kumnam, kstop, localComm ) RESULT (function_value)
+   FUNCTION mynode( ldtxt, kumnam_ref, knumnam_cfg, kstop, localComm ) RESULT (function_value)
       INTEGER, OPTIONAL            , INTENT(in   ) ::   localComm
       CHARACTER(len=*),DIMENSION(:) ::   ldtxt
-      INTEGER ::   kumnam, kstop
+      INTEGER ::   kumnam_ref, knumnam_cfg , kstop
       IF( PRESENT( localComm ) .OR. .NOT.PRESENT( localComm ) )   function_value = 0
       IF( .FALSE. )   ldtxt(:) = 'never done'
@@ -3637,5 +3648,5 @@
 
    !!----------------------------------------------------------------------
-   !!   All cases:         ctl_stop, ctl_warn, get_unit, ctl_opn   routines
+   !!   All cases:         ctl_stop, ctl_warn, get_unit, ctl_opn, ctl_nam   routines
    !!----------------------------------------------------------------------
 
@@ -3780,4 +3791,34 @@
    END SUBROUTINE ctl_opn
 
+   SUBROUTINE ctl_nam ( kios, cdnam, ldwp )
+      !!----------------------------------------------------------------------
+      !!                  ***  ROUTINE ctl_nam  ***
+      !!
+      !! ** Purpose :   Informations when error while reading a namelist
+      !!
+      !! ** Method  :   Fortan open
+      !!----------------------------------------------------------------------
+      INTEGER          , INTENT(inout) ::   kios      ! IO status after reading the namelist
+      CHARACTER(len=*) , INTENT(in   ) ::   cdnam     ! group name of namelist for which error occurs
+      CHARACTER(len=4)                 ::   clios     ! string to convert iostat in character for print
+      LOGICAL          , INTENT(in   ) ::   ldwp      ! boolean term for print
+      !!----------------------------------------------------------------------
+
+      ! 
+      ! ----------------
+      WRITE (clios, '(I4.0)') kios
+      IF( kios < 0 ) THEN         
+         CALL ctl_warn( 'W A R N I N G:  end of record or file while reading namelist ' &
+ &           // TRIM(cdnam) // ' iostat = ' // TRIM(clios) )
+      ENDIF
+
+      IF( kios > 0 ) THEN
+         CALL ctl_stop( 'E R R O R :   misspelled variable in namelist ' &
+ &           // TRIM(cdnam) // ' iostat = ' // TRIM(clios) )
+      ENDIF
+      kios = 0
+      RETURN
+      
+   END SUBROUTINE ctl_nam
 
    INTEGER FUNCTION get_unit()
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 3875)
@@ -45,4 +45,5 @@
       INTEGER ::  inum                        ! temporary logical unit
       INTEGER ::  idir                        ! temporary integers
+      INTEGER ::   ios                        ! Local integer output status for namelist read
       INTEGER ::   &
          ii, ij, ifreq, il1, il2,          &  ! temporary integers
@@ -77,7 +78,13 @@
       !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
       !!----------------------------------------------------------------------
-      
-      REWIND ( numnam )              ! Read Namelist namzgr : vertical coordinate'
-      READ   ( numnam, namzgr )
+
+      REWIND( numnam_ref )              ! Namelist namzgr in reference namelist : Vertical coordinate
+      READ  ( numnam_ref, namzgr, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namzgr in configuration namelist : Vertical coordinate
+      READ  ( numnam_cfg, namzgr, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in configuration namelist', lwp )
+      WRITE ( numond, namzgr )
 
       IF(lwp)WRITE(numout,*)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 3875)
@@ -63,4 +63,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio         ! ???
+      INTEGER ::   ios            ! Local : output status for namelist read
       LOGICAL ::   ll_print = .FALSE.    ! Logical flag for printing viscosity coef.
       !! 
@@ -73,6 +74,12 @@
    !!----------------------------------------------------------------------
 
-      REWIND( numnam )                  ! Read Namelist namdyn_ldf : Lateral physics
-      READ  ( numnam, namdyn_ldf )
+      REWIND( numnam_ref )              ! Namelist namdyn_ldf in reference namelist : Lateral physics
+      READ  ( numnam_ref, namdyn_ldf, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_ldf in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namdyn_ldf in configuration namelist : Lateral physics
+      READ  ( numnam_cfg, namdyn_ldf, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_ldf in configuration namelist', lwp )
+      WRITE ( numond, namdyn_ldf )
 
       IF(lwp) THEN                      ! Parameter print
@@ -80,5 +87,5 @@
          WRITE(numout,*) 'ldf_dyn : lateral momentum physics'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '   Namelist nam_dynldf : set lateral mixing parameters'
+         WRITE(numout,*) '   Namelist namdyn_ldf : set lateral mixing parameters'
          WRITE(numout,*) '      laplacian operator                      ln_dynldf_lap   = ', ln_dynldf_lap
          WRITE(numout,*) '      bilaplacian operator                    ln_dynldf_bilap = ', ln_dynldf_bilap
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 3875)
@@ -62,4 +62,5 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ioptio               ! temporary integer
+      INTEGER ::   ios                  ! temporary integer
       LOGICAL ::   ll_print = .FALSE.   ! =T print eddy coef. in numout
       !! 
@@ -76,6 +77,13 @@
       ! =============================================
     
-      REWIND( numnam )                  ! Read Namelist namtra_ldf : Lateral physics on tracers
-      READ  ( numnam, namtra_ldf )
+
+      REWIND( numnam_ref )              ! Namelist namtra_ldf in reference namelist : Lateral physics on tracers
+      READ  ( numnam_ref, namtra_ldf, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_ldf in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namtra_ldf in configuration namelist : Lateral physics on tracers
+      READ  ( numnam_cfg, namtra_ldf, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_ldf in configuration namelist', lwp )
+      WRITE ( numond, namtra_ldf )
 
       IF(lwp) THEN                      ! control print
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBC/obcini.F90	(revision 3875)
@@ -57,4 +57,5 @@
       !!
       INTEGER  ::   ji, jj, istop , inumfbc
+      INTEGER  ::   ios                     ! Local integer output status for namelist read
       INTEGER, DIMENSION(4) ::   icorner
       REAL(wp), DIMENSION(2) ::   ztestmask
@@ -66,6 +67,12 @@
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )              ! Namelist namobc : open boundaries
-      READ  ( numnam, namobc )
+      REWIND( numnam_ref )              ! Namelist namobc in reference namelist : Open boundaries
+      READ  ( numnam_ref, namobc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobc in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namobc in configuration namelist : Open boundaries
+      READ  ( numnam_cfg, namobc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobc in configuration namelist', lwp )
+      WRITE ( numond, namobc )
 
       ! convert DOCTOR namelist name into the OLD names
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 3874)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 3875)
@@ -197,4 +197,5 @@
       INTEGER :: ji
       INTEGER :: jset
+      INTEGER :: ios                 ! Local integer output status for namelist read
       LOGICAL :: lmask(MaxNumFiles), ll_u3d, ll_v3d
 
@@ -262,6 +263,12 @@
 
       ! Read Namelist namobs : control observation diagnostics
-      REWIND( numnam )
-      READ  ( numnam, namobs )
+      REWIND( numnam_ref )              ! Namelist namobs in reference namelist : Diagnostic: control observation
+      READ  ( numnam_ref, namobs, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobs in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namobs in configuration namelist : Diagnostic: control observation
+      READ  ( numnam_cfg, namobs, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobs in configuration namelist', lwp )
+      WRITE ( numond, namobs )
 
       ! Count number of files for each type
